Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233256 - Review Request: asc-music - Background music for the game asc
Summary: Review Request: asc-music - Background music for the game asc
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andrea Musuruane
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-21 10:41 UTC by Hans de Goede
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-22 11:27:39 UTC
musuruan: fedora-review+
jwboyer: fedora-cvs+


Attachments (Terms of Use)

Description Hans de Goede 2007-03-21 10:41:46 UTC
Spec URL: http://people.atrpms.net/~hdegoede/asc-music.spec
SRPM URL: http://people.atrpms.net/~hdegoede/asc-music-1.0-1.src.rpm
Description:
Music created by Michael Kievernagel for the game Advanced Strategic Command
(asc).

Note that if you have run asc before installing the music you must remove the
asc cache file: $HOME/.asc/asc.cache, otherwise asc will not find the music.

Comment 1 Andrea Musuruane 2007-04-19 13:56:40 UTC
 - Package meets naming and packaging guidelines. OK
 - Spec file matches base package name. OK
 - Spec has consistant macro usage. OK
 - Meets Packaging Guidelines. OK
 - License. SEE BELOW
 - License field in spec matches. SEE BELOW
 - License file included in package. SEE BELOW
 - Spec in American English. OK
 - Spec is legible. OK
 - Sources match upstream md5sum: N/A transcoded from original files

 - Package needs ExcludeArch. N/A
 - BuildRequires correct. OK
 - Spec handles locales/find_lang. N/A
 - Package is relocatable and has a reason to be. N/A
 - Package has %defattr and permissions on files is good. OK
 - Package has a correct %clean section. OK
 - Package has correct buildroot. OK
 - Package is code or permissible content. OK
 - Doc subpackage needed/used. N/A
 - Packages %doc files don't affect runtime. OK

 - Headers/static libs in -devel subpackage. N/A
 - Spec has needed ldconfig in post and postun. N/A
 - .pc files in -devel subpackage/requires pkgconfig. N/A
 - .so files in -devel subpackage. N/A
 - -devel package Requires: %{name} = %{version}-%{release}. N/A
 - .la files are removed. N/A

 - Package is a GUI app and has a .desktop file. N/A

 - Package compiles and builds on at least one arch. OK fc6/i386
 - Package has no duplicate files in %files. OK
 - Package doesn't own any directories other packages own. OK
 - Package owns all the directories it creates. OK
 - No rpmlint output. OK
 - final provides and requires are sane:
	asc-music-1.0-1.noarch.rpm
	asc-music = 1.0-1
	=
	asc

SHOULD Items:

 - Should build in mock. OK fc6/i386
 - Should build on all supported archs. OK package is noarch
 - Should function as described. OK
 - Should have sane scriptlets. N/A
 - Should have subpackages require base package with fully versioned depend. NO,
but OK
 - Should have dist tag. NO, but OK
 - Should package latest version. OK

Issues:

1. Let's try to clear out under what license the audio files are released. 
 
   I read the following on the upstream site: "ASC is distributed under 
   the terms of the Gnu General Public License (the license Linux 
   uses too), which basically means the game is free, the complete source 
   code is available and you can do everything with it as long as it 
   remains free."

   There is no indication on download section of what license is used for 
   the audio files.

   The best would be to have such a statement from the author and include 
   it in your source package.

   BTW, the debian package also state that this is GPL'ed, but again, 
   without any further explaination.



Comment 2 Hans de Goede 2007-04-20 12:08:33 UTC
AFAIK the music is an integral part of ASC, its just distributed separately from
the source so that people don't have a huge download each new release.

Since its in integral part, its under the same license.

"Proof" of it being in integral part is tihs ./configure message when building
the asc package:

configure: WARNING:
The following music files could not be found: data/music/frontiers.mp3
data/music/time_to_strike.mp3 data/music/machine_wars.mp3  .
The music files are not distributed together with the source code because
of their size. ASC can run without the music files being present, this message
is just to inform you about the existence of the music.

Notice how they give the size as the only reason for the separate distribution,
they don't say anything about it being under a different license.

---

If this is not good enough I can mail upstream to ask. I'm afraid google is of
no use in locating the composer of the music himself. (I already tried to find
his contact info before submitting this for review).



Comment 3 Andrea Musuruane 2007-04-20 19:34:09 UTC
It is good enough for me.

APPROVED.


Comment 4 Hans de Goede 2007-04-21 12:05:17 UTC
New Package CVS Request
=======================
Package Name:      asc-music
Short Description: Background music for the game asc
Owners:            j.w.r.degoede@hhs.nl
Branches:          devel
InitialCC:         <empty>



Comment 5 Hans de Goede 2007-04-22 11:27:39 UTC
Thanks for the review!

Imported and build, closing.


Note You need to log in before you can comment on or make changes to this bug.